mirror
Prev | Orchestra Opcodes and Operators | Next

## mirror

mirror — Reflects the signal that exceeds the low and high thresholds.

## Description

Reflects the signal that exceeds the low and high thresholds.

## Syntax

    ares mirror asig, klow, khigh

    ires mirror isig, ilow, ihigh

    kres mirror ksig, klow, khigh

## Initialization

isig -- input signal

ilow -- low threshold

ihigh -- high threshold

## Performance

xsig -- input signal

klow -- low threshold

khigh -- high threshold

mirror “reflects” the signal that exceeds the low and high thresholds.

This opcode is useful in several situations, such as table indexing or for clipping and modeling a-rate, i-rate or k-rate signals.

## See Also

limit, wrap

## Credits

Author: Gabriel Maldonado
Italy

New in Csound version 3.49

Prev | Up | Next
minaccum | Home | MixerSetLevel